Bug 869006 - Can't view System Details page - "undefined method `memory_megabytes' for # (NoMethodError)"
Can't view System Details page - "undefined method `memory_megabytes' for # (...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Jordan OMara
Katello QA List
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 14:23 EDT by Jeff Weiss
Modified: 2014-11-09 17:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-10-22 14:23:59 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Katello Version: 1.2.1-1.git.143.979f962.el6_3

How reproducible:
always

Steps to Reproduce:
1. Create a system via the UI or API
2. Navigate to that system's Details page
3.
  
Actual results:
"undefined method `memory_megabytes' for # (NoMethodError)"

Expected results:
panel loads fine

Additional info:
Comment 3 Jordan OMara 2012-10-22 20:13:17 EDT
Bad merge from RAM entitlements
Comment 4 Jordan OMara 2012-10-22 21:29:17 EDT
https://github.com/Katello/katello/pull/895
Comment 6 Mike McCune 2013-08-16 14:24:18 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 7 Mike McCune 2013-09-19 14:15:35 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.